Opened 13 months ago

Closed 4 weeks ago

#6087 closed defect (fixed)

When decoding mp4 file to pngs, the last 2 frames are missing

Reported by: dmontz Owned by:
Priority: normal Component: avformat
Version: git-master Keywords: mov edts regression
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description (last modified by cehoyos)

Summary of the bug: When decoding a mp4 file to pngs, the last 2 frames are missing. I am expecting 60 frames, but I'm only getting 58.

How to reproduce:
Previously we were using v0.10.3 and it decodes the mp4 correctly.

ffmpeg -i ziptest_1sec.mp4 foo-%03d.png -report -v 9 -loglevel 99

[root@DANM_D13_00021 dan]# ~/ffmpeg -i ziptest_1sec.mp4 foo-%03d.png -report -v 9 -loglevel 99
ffmpeg started on 2017-01-16 at 13:55:31
Report written to "ffmpeg-20170116-135531.log"
ffmpeg version N-83133-ge664730 Copyright (c) 2000-2017 the FFmpeg developers
  built with gcc 4.9.2 (GCC)
  configuration: --prefix=../install --enable-cross-compile --cross-prefix=/opt/omneon/cross_x86_64_v7e/bin/x86_64-linux- --arch=x86_64 --target-os=linux --extra-cflags=' -I../../../../libogg/libogg-1.3.2/obj.granite/install/include -I../../../../libvorbis/libvorbis-1.3.5/obj.granite/install/include -I../../../../libvpx/libvpx/obj.granite/install/include' --extra-ldflags=' -L../../../../libogg/libogg-1.3.2/obj.granite/install/lib -L../../../../libvorbis/libvorbis-1.3.5/obj.granite/install/lib -L../../../../libvpx/libvpx/obj.granite/install/lib' --disable-static --disable-doc --enable-shared --extra-cflags='-m64 -ftree-vectorize -mssse3' --disable-ffplay --enable-ffprobe --enable-zlib --disable-ffserver --disable-network --enable-encoders --disable-hwaccels --disable-bsfs --disable-protocols --enable-protocol=file --disable-indevs --disable-outdevs --disable-gpl --enable-libvpx --enable-libvorbis --disable-decoder=vp8 --disable-decoder=vp9 --enable-pthreads
  libavutil      55. 43.100 / 55. 43.100
  libavcodec     57. 73.100 / 57. 73.100
  libavformat    57. 62.100 / 57. 62.100
  libavdevice    57.  2.100 / 57.  2.100
  libavfilter     6. 69.100 /  6. 69.100
  libswscale      4.  3.101 /  4.  3.101
  libswresample   2.  4.100 /  2.  4.100
Splitting the commandline.
Reading option '-i' ... matched as input url with argument 'ziptest_1sec.mp4'.
Reading option 'foo-%03d.png' ... matched as output url.
Reading option '-report' ... matched as option 'report' (generate a report) with argument '1'.
Reading option '-v' ... matched as option 'v' (set logging level) with argument '9'.
Reading option '-loglevel' ... matched as option 'loglevel' (set logging level) with argument '99'.
Finished splitting the commandline.
Parsing a group of options: global .
Applying option report (generate a report) with argument 1.
Applying option v (set logging level) with argument 9.
Successfully parsed a group of options.
Parsing a group of options: input url ziptest_1sec.mp4.
Successfully parsed a group of options.
Opening an input file: ziptest_1sec.mp4.
[file @ 0x63b780] Setting default whitelist 'file,crypto'
Probing mov,mp4,m4a,3gp,3g2,mj2 score:100 size:2048
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] Format mov,mp4,m4a,3gp,3g2,mj2 probed with size=2048 and score=100
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 70797466 'ftyp' parent:'root' sz: 24 8 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] ISO: File Type Major Brand: mp42
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 65657266 'free' parent:'root' sz: 1335 32 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 7461646d 'mdat' parent:'root' sz: 73057 1375 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 766f6f6d 'moov' parent:'root' sz: 1396 74432 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 6468766d 'mvhd' parent:'moov' sz: 108 8 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] time scale = 90000
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 6b617274 'trak' parent:'moov' sz: 1219 116 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 64686b74 'tkhd' parent:'trak' sz: 92 8 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 73746465 'edts' parent:'trak' sz: 36 100 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 74736c65 'elst' parent:'edts' sz: 28 8 28
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] track[0].edit_count = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] duration=90090 time=0 rate=1.000000
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 6169646d 'mdia' parent:'trak' sz: 1083 136 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 6468646d 'mdhd' parent:'mdia' sz: 32 8 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 726c6468 'hdlr' parent:'mdia' sz: 64 40 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] ctype=  (0x00000000)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stype= vide
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 666e696d 'minf' parent:'mdia' sz: 979 104 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 64686d76 'vmhd' parent:'minf' sz: 20 8 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 726c6468 'hdlr' parent:'minf' sz: 64 28 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] ctype=  (0x00000000)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stype= vide
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 666e6964 'dinf' parent:'minf' sz: 36 92 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 66657264 'dref' parent:'dinf' sz: 28 8 28
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type url  size 12
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] Unknown dref type 0x08206c7275 size 12
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 6c627473 'stbl' parent:'minf' sz: 851 128 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 64737473 'stsd' parent:'stbl' sz: 151 8 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] size=135 4CC= avc1/0x31637661 codec_type=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 43637661 'avcC' parent:'stsd' sz: 49 8 49
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 73747473 'stts' parent:'stbl' sz: 24 159 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] track[0].stts.entries = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] sample_count=60, sample_duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 73737473 'stss' parent:'stbl' sz: 24 183 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] keyframe_count = 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 70746473 'sdtp' parent:'stbl' sz: 72 207 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 63737473 'stsc' parent:'stbl' sz: 28 279 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] track[0].stsc.entries = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 7a737473 'stsz' parent:'stbl' sz: 260 307 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] sample_size = 0 sample_count = 60
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 6f637473 'stco' parent:'stbl' sz: 20 567 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 73747463 'ctts' parent:'stbl' sz: 264 587 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] track[0].ctts.entries = 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] count=2, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] dts shift 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 0, offset 55f, dts 0, size 5912, distance 0, keyframe 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 1, offset 1c77, dts 1001, size 1269, distance 1, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 2, offset 216c, dts 2002, size 458, distance 2, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 3, offset 2336, dts 3003, size 708, distance 3, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 4, offset 25fa, dts 4004, size 667, distance 4, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 5, offset 2895, dts 5005, size 1738, distance 5, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 6, offset 2f5f, dts 6006, size 756, distance 6, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 7, offset 3253, dts 7007, size 735, distance 7, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 8, offset 3532, dts 8008, size 724, distance 8, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 9, offset 3806, dts 9009, size 1915, distance 9, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 10, offset 3f81, dts 10010, size 795, distance 10, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 11, offset 429c, dts 11011, size 761, distance 11, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 12, offset 4595, dts 12012, size 633, distance 12, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 13, offset 480e, dts 13013, size 996, distance 13, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 14, offset 4bf2, dts 14014, size 590, distance 14, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 15, offset 4e40, dts 15015, size 785, distance 15, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 16, offset 5151, dts 16016, size 718, distance 16, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 17, offset 541f, dts 17017, size 1772, distance 17, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 18, offset 5b0b, dts 18018, size 739, distance 18, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 19, offset 5dee, dts 19019, size 713, distance 19, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 20, offset 60b7, dts 20020, size 715, distance 20, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 21, offset 6382, dts 21021, size 1097, distance 21, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 22, offset 67cb, dts 22022, size 489, distance 22, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 23, offset 69b4, dts 23023, size 934, distance 23, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 24, offset 6d5a, dts 24024, size 822, distance 24, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 25, offset 7090, dts 25025, size 1002, distance 25, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 26, offset 747a, dts 26026, size 757, distance 26, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 27, offset 776f, dts 27027, size 783, distance 27, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 28, offset 7a7e, dts 28028, size 733, distance 28, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 29, offset 7d5b, dts 29029, size 1980, distance 29, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 30, offset 8517, dts 30030, size 747, distance 30, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 31, offset 8802, dts 31031, size 774, distance 31, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 32, offset 8b08, dts 32032, size 742, distance 32, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 33, offset 8dee, dts 33033, size 8967, distance 0, keyframe 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 34, offset b0f5, dts 34034, size 1222, distance 1, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 35, offset b5bb, dts 35035, size 1091, distance 2, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 36, offset b9fe, dts 36036, size 859, distance 3, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 37, offset bd59, dts 37037, size 1098, distance 4, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 38, offset c1a3, dts 38038, size 2121, distance 5, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 39, offset c9ec, dts 39039, size 1358, distance 6, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 40, offset cf3a, dts 40040, size 1363, distance 7, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 41, offset d48d, dts 41041, size 1166, distance 8, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 42, offset d91b, dts 42042, size 1211, distance 9, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 43, offset ddd6, dts 43043, size 1131, distance 10, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 44, offset e241, dts 44044, size 901, distance 11, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 45, offset e5c6, dts 45045, size 982, distance 12, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 46, offset e99c, dts 46046, size 1393, distance 13, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 47, offset ef0d, dts 47047, size 908, distance 14, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 48, offset f299, dts 48048, size 884, distance 15, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 49, offset f60d, dts 49049, size 969, distance 16, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 50, offset f9d6, dts 50050, size 2160, distance 17, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 51, offset 10246, dts 51051, size 845, distance 18, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 52, offset 10593, dts 52052, size 847, distance 19, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 53, offset 108e2, dts 53053, size 1087, distance 20, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 54, offset 10d21, dts 54054, size 1044, distance 21, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 55, offset 11135, dts 55055, size 1149, distance 22, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 56, offset 115b2, dts 56056, size 861, distance 23, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 57, offset 1190f, dts 57057, size 1094, distance 24, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 58, offset 11d55, dts 58058, size 349, distance 25, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] AVIndex stream 0, sample 59, offset 11eb2, dts 59059, size 1030, distance 26, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] Offset DTS by ctts[0].duration: 1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] Processing st: 0, edit list 0 - media time: 0, duration: 60060
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 0 @ 0, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 1001 @ 1, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 2002 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 3003 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 4004 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 5005 @ 3, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 6006 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 7007 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 8008 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 9009 @ 5, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 10010 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 11011 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 12012 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 13013 @ 7, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 14014 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 15015 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 16016 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 17017 @ 9, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 18018 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 19019 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 20020 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 21021 @ 11, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 22022 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 23023 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 24024 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 25025 @ 13, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 26026 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 27027 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 28028 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 29029 @ 15, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 30030 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 31031 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 32032 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 33033 @ 17, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 34034 @ 18, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 35035 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 36036 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 37037 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 38038 @ 20, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 39039 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 40040 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 41041 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 42042 @ 22, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 43043 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 44044 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 45045 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 46046 @ 24, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 47047 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 48048 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 49049 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 50050 @ 26, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 51051 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 52052 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 53053 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 54054 @ 28, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 55055 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 56056 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 57057 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 58058 @ 30, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] shifted frame pts, curr_cts: 59059 @ 30, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] drop a frame at curr_cts: 60060 @ 59
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 61746475 'udta' parent:'moov' sz: 61 1335 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 4d4954a9 '▒TIM' parent:'udta' sz: 23 8 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 435354a9 '▒TSC' parent:'udta' sz: 16 31 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 5a5354a9 '▒TSZ' parent:'udta' sz: 14 47 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] type: 64697575 'uuid' parent:'root' sz: 3989 75828 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] on_parse_exit_offset=79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] Before avformat_find_stream_info() pos: 79809 bytes read:38153 seeks:1 nb_streams:1
[h264 @ 0x63c820] nal_unit_type: 7, nal_ref_idc: 3
[h264 @ 0x63c820] nal_unit_type: 8, nal_ref_idc: 3
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 0, dts -16683
[h264 @ 0x63c820] nal_unit_type: 5, nal_ref_idc: 3
[h264 @ 0x63c820] Reinit context to 1920x1088, pix_fmt: yuv420p
[h264 @ 0x63c820] no picture
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] All info found
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0: start_time: 0.000 duration: 1.001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] format: start_time: 0.000 duration: 1.001 bitrate=637 kb/s
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] After avformat_find_stream_info() pos: 7287 bytes read:70921 seeks:2 frames:1
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'ziptest_1sec.mp4':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: mp42mp41
    creation_time   : 2017-01-13T22:03:43.000000Z
  Duration: 00:00:01.00, start: 0.000000, bitrate: 637 kb/s
    Stream #0:0(eng), 1, 1/60000: Video: h264 (Main), 1 reference frame (avc1 / 0x31637661), yuv420p(tv, left), 1920x1080 (1920x1088) [SAR 1:1 DAR 16:9], 0/1, 583 kb/s, 59.94 fps, 59.94 tbr, 60k tbn, 119.88 tbc (default)
    Metadata:
      creation_time   : 2017-01-13T22:03:43.000000Z
      handler_name    : ?Mainconcept Video Media Handler
      encoder         : AVC Coding
Successfully opened the file.
Parsing a group of options: output url foo-%03d.png.
Successfully parsed a group of options.
Opening an output file: foo-%03d.png.
Successfully opened the file.
Initializing cuvid transcoding
detected 48 logical cores
[h264 @ 0x65c1e0] nal_unit_type: 7, nal_ref_idc: 3
[h264 @ 0x65c1e0] nal_unit_type: 8, nal_ref_idc: 3
[graph 0 input from stream 0:0 @ 0x83fd20] Setting 'video_size' to value '1920x1080'
[graph 0 input from stream 0:0 @ 0x83fd20] Setting 'pix_fmt' to value '0'
[graph 0 input from stream 0:0 @ 0x83fd20] Setting 'time_base' to value '1/60000'
[graph 0 input from stream 0:0 @ 0x83fd20] Setting 'pixel_aspect' to value '1/1'
[graph 0 input from stream 0:0 @ 0x83fd20] Setting 'sws_param' to value 'flags=2'
[graph 0 input from stream 0:0 @ 0x83fd20] Setting 'frame_rate' to value '60000/1001'
[graph 0 input from stream 0:0 @ 0x83fd20] w:1920 h:1080 pixfmt:yuv420p tb:1/60000 fr:60000/1001 sar:1/1 sws_param:flags=2
[format @ 0x840380] compat: called with args=[rgb24|rgba|rgb48be|rgba64be|pal8|gray|ya8|gray16be|ya16be|monob]
[format @ 0x840380] Setting 'pix_fmts' to value 'rgb24|rgba|rgb48be|rgba64be|pal8|gray|ya8|gray16be|ya16be|monob'
[auto_scaler_0 @ 0x841380] Setting 'flags' to value 'bicubic'
[auto_scaler_0 @ 0x841380] w:iw h:ih flags:'bicubic' interl:0
[format @ 0x840380] auto-inserting filter 'auto_scaler_0' between the filter 'Parsed_null_0' and the filter 'format'
[AVFilterGraph @ 0x63ac00] query_formats: 4 queried, 2 merged, 1 already done, 0 delayed
[auto_scaler_0 @ 0x841380] picking rgb24 out of 9 ref:yuv420p alpha:0
[auto_scaler_0 @ 0x841380] w:1920 h:1080 fmt:yuv420p sar:1/1 -> w:1920 h:1080 fmt:rgb24 sar:1/1 flags:0x4
Output #0, image2, to 'foo-%03d.png':
  Metadata:
    major_brand     : mp42
    minor_version   : 0
    compatible_brands: mp42mp41
    encoder         : Lavf57.62.100
    Stream #0:0(eng), 0, 1001/60000: Video: png, 1 reference frame, rgb24(left), 1920x1080 [SAR 1:1 DAR 16:9], 0/1, q=2-31, 200 kb/s, 59.94 fps, 59.94 tbn, 59.94 tbc (default)
    Metadata:
      creation_time   : 2017-01-13T22:03:43.000000Z
      handler_name    : ?Mainconcept Video Media Handler
      encoder         : Lavc57.73.100 png
Stream mapping:
  Stream #0:0 -> #0:0 (h264 (native) -> png (native))
Press [q] to stop, [?] for help
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
    Last message repeated 1 times
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 1, dts 0
[h264 @ 0x65c1e0] nal_unit_type: 5, nal_ref_idc: 3
[h264 @ 0x65c1e0] Reinit context to 1920x1088, pix_fmt: yuv420p
[h264 @ 0x65c1e0] no picture
[h264 @ 0x6646e0] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 2, dts 16683
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x6b46a0] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 3, dts 33367
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x6d0180] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 4, dts 50050
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 5, dts 66733
[h264 @ 0x6ebc60] nal_unit_type: 1, nal_ref_idc: 0
[h264 @ 0x7076c0] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 6, dts 83417
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x723220] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 7, dts 100100
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 8, dts 116783
[h264 @ 0x73ed00] nal_unit_type: 1, nal_ref_idc: 0
[h264 @ 0x75a8c0] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 9, dts 133467
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x776400] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 10, dts 150150
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x792040] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 11, dts 166833
[h264 @ 0x7adc00] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 12, dts 183517
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x7c97c0] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 13, dts 200200
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x7e5300] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 14, dts 216883
[h264 @ 0x800f40] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 15, dts 233567
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 16, dts 250250
[h264 @ 0x81cb00] nal_unit_type: 1, nal_ref_idc: 0
[h264 @ 0x65c1e0] nal_unit_type: 1, nal_ref_idc: 0
Clipping frame in rate conversion by 0.000008
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 17, dts 266933
[h264 @ 0x6646e0] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 18, dts 283617
[h264 @ 0x6b46a0] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 19, dts 300300
[h264 @ 0x6d0180] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 20, dts 316983
[h264 @ 0x6ebc60] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 21, dts 333667
[h264 @ 0x7076c0] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 22, dts 350350
[h264 @ 0x723220] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 23, dts 367033
[h264 @ 0x73ed00] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 24, dts 383717
[h264 @ 0x75a8c0] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 25, dts 400400
[h264 @ 0x776400] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x241de60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2323c20] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 26, dts 417083
[h264 @ 0x792040] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1761ba0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x241de80] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 27, dts 433767ed=0.0651x
[h264 @ 0x7adc00] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x323b1e0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x29ff8a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 28, dts 450450
[h264 @ 0x7c97c0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x323b080] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x29ff8a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 29, dts 467133
[h264 @ 0x7e5300] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x29ff8a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2629100] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 30, dts 483817
[h264 @ 0x800f40] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2c30ea0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2629340] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 31, dts 500500
[h264 @ 0x81cb00] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2cdf2c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x323b180] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 32, dts 517183ed=0.112x
[h264 @ 0x65c1e0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x24cd520] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x31e3840] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 33, dts 533867
[h264 @ 0x6646e0] nal_unit_type: 5, nal_ref_idc: 3
[file @ 0x2b82640] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x257b6c0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 34, dts 550550
[h264 @ 0x6b46a0] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x2d8d3a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x31e3840] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 35, dts 567233
[h264 @ 0x6d0180] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x31ebc00] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x6662a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 36, dts 583917
[h264 @ 0x6ebc60] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1cba660] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x6662a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 37, dts 600600
[h264 @ 0x7076c0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x323ad40] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x641200] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 38, dts 617283ed=0.138x
[h264 @ 0x723220] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x2cded20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1761340] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 39, dts 633967
[h264 @ 0x73ed00] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x6660e0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x323d4c0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 40, dts 650650
[h264 @ 0x75a8c0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1d69340] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x323aa60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 41, dts 667333
[h264 @ 0x776400] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x257b440] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2d8cf40] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 42, dts 684017
[h264 @ 0x792040] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x1761a40] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2d8cf40] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 43, dts 700700
[h264 @ 0x7adc00] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x257b440] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x241e560] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 44, dts 717383ed=0.152x
[h264 @ 0x7c97c0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x241e320] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1ec58e0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 45, dts 734067
[h264 @ 0x7e5300] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x241e240] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1ec51a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 46, dts 750750
[h264 @ 0x800f40] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x1cba020] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1cbb020] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 47, dts 767433
[h264 @ 0x81cb00] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x257b4e0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2b81ea0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 48, dts 784117
[h264 @ 0x65c1e0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2629180] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2b81ea0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 49, dts 800800ed=0.154x
[h264 @ 0x6646e0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x241dda0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1cb9fc0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 50, dts 817483
[h264 @ 0x6b46a0] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x17a7260] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2b81ea0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 51, dts 834167
[h264 @ 0x6d0180] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3238220] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3238de0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 52, dts 850850
[h264 @ 0x6ebc60] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3238f60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x31e3840] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 53, dts 867533
[h264 @ 0x7076c0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x323b140] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x31e3840] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 54, dts 884217ed=0.155x
[h264 @ 0x723220] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x2b81e60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x257b6c0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 55, dts 900900
[h264 @ 0x73ed00] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3238220] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x257b6c0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 56, dts 917583
[h264 @ 0x75a8c0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x665de0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x31e3840] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 57, dts 934267
[h264 @ 0x776400] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2d8d8a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x31e3840] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 58, dts 950950
[h264 @ 0x792040] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x31e38e0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1605ca0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x63ae00] stream 0, sample 59, dts 967633ed=0.156x
[h264 @ 0x7adc00] NALFF: Consumed only 1022 bytes instead of 1026
[h264 @ 0x7adc00] nal_unit_type: 1, nal_ref_idc: 0
[h264 @ 0x7adc00] nal_unit_type: 10, nal_ref_idc: 0
[file @ 0x241e020] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1761ba0] Statistics: 0 seeks, 1 writeouts
[file @ 0x1761980] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1558220] Statistics: 0 seeks, 1 writeouts
[file @ 0x665860] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2b81e60] Statistics: 0 seeks, 1 writeouts
[file @ 0x3238240] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x31ebca0] Statistics: 0 seeks, 1 writeouts
[file @ 0x1cba940] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d68ca0] Statistics: 0 seeks, 1 writeouts
[file @ 0x1e17060] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x241e340] Statistics: 0 seeks, 1 writeouts
[file @ 0x1cb9c00] Setting default whitelist 'file,crypto'te=N/A speed=0.159x
[AVIOContext @ 0x323abe0] Statistics: 0 seeks, 1 writeouts
[file @ 0x323ae80] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x323aca0] Statistics: 0 seeks, 1 writeouts
[file @ 0x323a700] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2323be0] Statistics: 0 seeks, 1 writeouts
[file @ 0x2a87c20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2323a60] Statistics: 0 seeks, 1 writeouts
[file @ 0x2a87ae0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2323a80] Statistics: 0 seeks, 1 writeouts
[file @ 0x323b1a0] Setting default whitelist 'file,crypto'te=N/A speed=0.16x
[AVIOContext @ 0x2b829e0] Statistics: 0 seeks, 1 writeouts
[file @ 0x2cdf2c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2c31420] Statistics: 0 seeks, 1 writeouts
[file @ 0x2c31420] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3239400] Statistics: 0 seeks, 1 writeouts
[file @ 0x24cd240] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2cdf2c0] Statistics: 0 seeks, 1 writeouts
No more output streams to write to, finishing.:00.81 bitrate=N/A speed=0.156x
[file @ 0x2cdf580] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3238900] Statistics: 0 seeks, 1 writeouts
[file @ 0x323a260] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24cd1a0] Statistics: 0 seeks, 1 writeouts
[file @ 0xc1c560] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24cd1a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x664f60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24cd1a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x1761d60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24cd1a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x664f80] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24cd1a0] Statistics: 0 seeks, 1 writeouts
[file @ 0xc1c560] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24cd1a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x24cd2e0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24cd1a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x1761d60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24cd1a0] Statistics: 0 seeks, 1 writeouts
frame=   58 fps=9.5 q=-0.0 Lsize=N/A time=00:00:00.96 bitrate=N/A speed=0.159x
video:1554kB audio:0kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: unknown
Input file #0 (ziptest_1sec.mp4):
  Input stream #0:0 (video): 60 packets read (73049 bytes); 58 frames decoded;
  Total: 60 packets (73049 bytes) demuxed
Output file #0 (foo-%03d.png):
  Output stream #0:0 (video): 58 frames encoded; 58 packets muxed (1591571 bytes);
  Total: 58 packets (1591571 bytes) muxed
58 frames successfully decoded, 0 decoding errors
[AVIOContext @ 0x63b5e0] Statistics: 116587 bytes read, 2 seeks

Attachments (4)

ziptest_1sec.mp4 (77.9 KB) - added by dmontz 13 months ago.
mp4 file that is having the problem
ffmpeg-20170116-140010.log (25.3 KB) - added by dmontz 13 months ago.
log file
example.mp4 (29.6 KB) - added by dmontz 11 months ago.
Example MP4 file
ffmpeg-test-media_config_orig_cs6.mp4 (200.3 KB) - added by dmontz 7 months ago.

Download all attachments as: .zip

Change History (20)

Changed 13 months ago by dmontz

mp4 file that is having the problem

Changed 13 months ago by dmontz

log file

comment:1 Changed 13 months ago by dmontz

FYI - I have reproduced this issue using ffmpeg 3.2.1, 3.2.2, and from today's git repo.

comment:2 Changed 13 months ago by cehoyos

  • Component changed from avcodec to avformat
  • Keywords mov edts regression added

If there is an issue, it is a regression since ca6cae73

comment:3 follow-up: Changed 13 months ago by dmontz

I tried revision ca6cae73 and still have the same issue. I also tried the v3.0.5 Einstein release and had the same issue.

comment:4 Changed 13 months ago by dmontz

The .mp4 file that I attached is 60 frames long. Only the first frame is a key frame.

Also, I created another mp4 using Adobe After Effects and set the key frame distance to 5 and still have the same issue.

comment:5 in reply to: ↑ 3 Changed 13 months ago by cehoyos

Replying to dmontz:

I tried revision ca6cae73 and still have the same issue.

Since the issue - if there is an issue - is a regression since ca6cae73, it can of course be reproduced with this version.

I also tried the v3.0.5 Einstein release and had the same issue.

This seems very unlikely (it would mean that this is not a regression since ca6cae73) / command line and complete, uncut console output missing.

comment:6 follow-up: Changed 13 months ago by dmontz

Running 3.0.5
ffmpeg -i ziptest_1sec.mp4 foo-%03d.png -report -v 9 -loglevel 99

ffmpeg started on 2017-01-17 at 15:13:30
Report written to "ffmpeg-20170117-151330.log"
ffmpeg version 3.0.5 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 4.9.2 (GCC)
configuration: --prefix=../install --enable-cross-compile --cross-prefix=/opt/omneon/cross_x86_64_v7e/bin/x86_64-linux- --arch=x86_64 --target-os=linux --extra-cflags=' -I../../../../libogg/libogg-1.3.2/obj.granite/install/include -I../../../../libvorbis/libvorbis-1.3.5/obj.granite/install/include -I../../../../libvpx/libvpx/obj.granite/install/include' --extra-ldflags=' -L../../../../libogg/libogg-1.3.2/obj.granite/install/lib -L../../../../libvorbis/libvorbis-1.3.5/obj.granite/install/lib -L../../../../libvpx/libvpx/obj.granite/install/lib' --disable-static --disable-doc --enable-shared --extra-cflags='-m64 -ftree-vectorize -mssse3' --disable-ffplay --enable-ffprobe --enable-zlib --disable-ffserver --disable-network --enable-encoders --disable-hwaccels --disable-bsfs --disable-protocols --enable-protocol=file --disable-indevs --disable-outdevs --disable-gpl --enable-libvpx --enable-libvorbis --disable-decoder=vp8 --disable-decoder=vp9 --enable-pthreads
libavutil 55. 17.103 / 55. 34.100
libavcodec 57. 24.102 / 57. 64.101
libavformat 57. 25.100 / 57. 56.100
libavdevice 57. 0.101 / 57. 1.100
libavfilter 6. 31.100 / 6. 65.100
libswscale 4. 0.100 / 4. 2.100
libswresample 2. 0.101 / 2. 3.100

Splitting the commandline.
Reading option '-i' ... matched as input url with argument 'ziptest_1sec.mp4'.
Reading option 'foo-%03d.png' ... matched as output url.
Reading option '-report' ... matched as option 'report' (generate a report) with argument '1'.
Reading option '-v' ... matched as option 'v' (set logging level) with argument '9'.
Reading option '-loglevel' ... matched as option 'loglevel' (set logging level) with argument '99'.
Finished splitting the commandline.
Parsing a group of options: global .
Applying option report (generate a report) with argument 1.
Applying option v (set logging level) with argument 9.
Successfully parsed a group of options.
Parsing a group of options: input url ziptest_1sec.mp4.
Successfully parsed a group of options.
Opening an input file: ziptest_1sec.mp4.
[file @ 0x6387a0] Setting default whitelist 'file,crypto'
Probing mov,mp4,m4a,3gp,3g2,mj2 score:100 size:2048
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] Format mov,mp4,m4a,3gp,3g2,mj2 probed with size=2048 and score=100
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 70797466 'ftyp' parent:'root' sz: 24 8 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] ISO: File Type Major Brand: mp42
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 65657266 'free' parent:'root' sz: 1335 32 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 7461646d 'mdat' parent:'root' sz: 73057 1375 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 766f6f6d 'moov' parent:'root' sz: 1396 74432 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 6468766d 'mvhd' parent:'moov' sz: 108 8 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] time scale = 90000
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 6b617274 'trak' parent:'moov' sz: 1219 116 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 64686b74 'tkhd' parent:'trak' sz: 92 8 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 73746465 'edts' parent:'trak' sz: 36 100 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 74736c65 'elst' parent:'edts' sz: 28 8 28
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] track[0].edit_count = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] duration=90090 time=0 rate=1.000000
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 6169646d 'mdia' parent:'trak' sz: 1083 136 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 6468646d 'mdhd' parent:'mdia' sz: 32 8 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 726c6468 'hdlr' parent:'mdia' sz: 64 40 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] ctype= (0x00000000)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stype= vide
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 666e696d 'minf' parent:'mdia' sz: 979 104 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 64686d76 'vmhd' parent:'minf' sz: 20 8 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 726c6468 'hdlr' parent:'minf' sz: 64 28 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] ctype= (0x00000000)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stype= vide
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 666e6964 'dinf' parent:'minf' sz: 36 92 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 66657264 'dref' parent:'dinf' sz: 28 8 28
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type url size 12
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] Unknown dref type 0x08206c7275 size 12
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 6c627473 'stbl' parent:'minf' sz: 851 128 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 64737473 'stsd' parent:'stbl' sz: 151 8 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] size=135 4CC= avc1/0x31637661 codec_type=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 43637661 'avcC' parent:'stsd' sz: 49 8 49
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 73747473 'stts' parent:'stbl' sz: 24 159 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] track[0].stts.entries = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] sample_count=60, sample_duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 73737473 'stss' parent:'stbl' sz: 24 183 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] keyframe_count = 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 70746473 'sdtp' parent:'stbl' sz: 72 207 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 63737473 'stsc' parent:'stbl' sz: 28 279 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] track[0].stsc.entries = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 7a737473 'stsz' parent:'stbl' sz: 260 307 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] sample_size = 0 sample_count = 60
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 6f637473 'stco' parent:'stbl' sz: 20 567 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 73747463 'ctts' parent:'stbl' sz: 264 587 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] track[0].ctts.entries = 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] count=2, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] dts shift 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 0, offset 55f, dts 0, size 5912, distance 0, keyframe 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 1, offset 1c77, dts 1001, size 1269, distance 1, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 2, offset 216c, dts 2002, size 458, distance 2, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 3, offset 2336, dts 3003, size 708, distance 3, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 4, offset 25fa, dts 4004, size 667, distance 4, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 5, offset 2895, dts 5005, size 1738, distance 5, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 6, offset 2f5f, dts 6006, size 756, distance 6, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 7, offset 3253, dts 7007, size 735, distance 7, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 8, offset 3532, dts 8008, size 724, distance 8, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 9, offset 3806, dts 9009, size 1915, distance 9, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 10, offset 3f81, dts 10010, size 795, distance 10, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 11, offset 429c, dts 11011, size 761, distance 11, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 12, offset 4595, dts 12012, size 633, distance 12, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 13, offset 480e, dts 13013, size 996, distance 13, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 14, offset 4bf2, dts 14014, size 590, distance 14, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 15, offset 4e40, dts 15015, size 785, distance 15, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 16, offset 5151, dts 16016, size 718, distance 16, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 17, offset 541f, dts 17017, size 1772, distance 17, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 18, offset 5b0b, dts 18018, size 739, distance 18, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 19, offset 5dee, dts 19019, size 713, distance 19, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 20, offset 60b7, dts 20020, size 715, distance 20, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 21, offset 6382, dts 21021, size 1097, distance 21, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 22, offset 67cb, dts 22022, size 489, distance 22, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 23, offset 69b4, dts 23023, size 934, distance 23, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 24, offset 6d5a, dts 24024, size 822, distance 24, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 25, offset 7090, dts 25025, size 1002, distance 25, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 26, offset 747a, dts 26026, size 757, distance 26, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 27, offset 776f, dts 27027, size 783, distance 27, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 28, offset 7a7e, dts 28028, size 733, distance 28, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 29, offset 7d5b, dts 29029, size 1980, distance 29, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 30, offset 8517, dts 30030, size 747, distance 30, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 31, offset 8802, dts 31031, size 774, distance 31, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 32, offset 8b08, dts 32032, size 742, distance 32, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 33, offset 8dee, dts 33033, size 8967, distance 0, keyframe 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 34, offset b0f5, dts 34034, size 1222, distance 1, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 35, offset b5bb, dts 35035, size 1091, distance 2, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 36, offset b9fe, dts 36036, size 859, distance 3, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 37, offset bd59, dts 37037, size 1098, distance 4, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 38, offset c1a3, dts 38038, size 2121, distance 5, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 39, offset c9ec, dts 39039, size 1358, distance 6, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 40, offset cf3a, dts 40040, size 1363, distance 7, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 41, offset d48d, dts 41041, size 1166, distance 8, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 42, offset d91b, dts 42042, size 1211, distance 9, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 43, offset ddd6, dts 43043, size 1131, distance 10, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 44, offset e241, dts 44044, size 901, distance 11, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 45, offset e5c6, dts 45045, size 982, distance 12, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 46, offset e99c, dts 46046, size 1393, distance 13, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 47, offset ef0d, dts 47047, size 908, distance 14, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 48, offset f299, dts 48048, size 884, distance 15, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 49, offset f60d, dts 49049, size 969, distance 16, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 50, offset f9d6, dts 50050, size 2160, distance 17, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 51, offset 10246, dts 51051, size 845, distance 18, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 52, offset 10593, dts 52052, size 847, distance 19, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 53, offset 108e2, dts 53053, size 1087, distance 20, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 54, offset 10d21, dts 54054, size 1044, distance 21, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 55, offset 11135, dts 55055, size 1149, distance 22, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 56, offset 115b2, dts 56056, size 861, distance 23, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 57, offset 1190f, dts 57057, size 1094, distance 24, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 58, offset 11d55, dts 58058, size 349, distance 25, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] AVIndex stream 0, sample 59, offset 11eb2, dts 59059, size 1030, distance 26, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] Offset DTS by ctts[0].duration: 1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] Processing st: 0, edit list 0 - media time: 0, duration: 60060
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 0 @ 0, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 1001 @ 1, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 2002 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 3003 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 4004 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 5005 @ 3, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 6006 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 7007 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 8008 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 9009 @ 5, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 10010 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 11011 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 12012 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 13013 @ 7, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 14014 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 15015 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 16016 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 17017 @ 9, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 18018 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 19019 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 20020 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 21021 @ 11, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 22022 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 23023 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 24024 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 25025 @ 13, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 26026 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 27027 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 28028 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 29029 @ 15, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 30030 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 31031 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 32032 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 33033 @ 17, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 34034 @ 18, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 35035 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 36036 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 37037 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 38038 @ 20, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 39039 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 40040 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 41041 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 42042 @ 22, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 43043 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 44044 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 45045 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 46046 @ 24, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 47047 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 48048 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 49049 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 50050 @ 26, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 51051 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 52052 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 53053 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 54054 @ 28, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 55055 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 56056 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 57057 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 58058 @ 30, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] shifted frame pts, curr_cts: 59059 @ 30, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] drop a frame at curr_cts: 60060 @ 59
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 61746475 'udta' parent:'moov' sz: 61 1335 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 4d4954a9 '▒TIM' parent:'udta' sz: 23 8 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 435354a9 '▒TSC' parent:'udta' sz: 16 31 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 5a5354a9 '▒TSZ' parent:'udta' sz: 14 47 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] type: 64697575 'uuid' parent:'root' sz: 3989 75828 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] on_parse_exit_offset=79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] Before avformat_find_stream_info() pos: 79809 bytes read:38153 seeks:1 nb_streams:1
[h264 @ 0x639800] nal_unit_type: 7, nal_ref_idc: 3
[h264 @ 0x639800] nal_unit_type: 8, nal_ref_idc: 3
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 0, dts -16683
[h264 @ 0x639800] nal_unit_type: 5, nal_ref_idc: 3
[h264 @ 0x639800] Reinit context to 1920x1088, pix_fmt: yuv420p
[h264 @ 0x639800] no picture
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] All info found
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0: start_time: 0.000 duration: 1.001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] format: start_time: 0.000 duration: 1.001 bitrate=637 kb/s
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] After avformat_find_stream_info() pos: 7287 bytes read:70921 seeks:2 frames:1
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'ziptest_1sec.mp4':

Metadata:

major_brand : mp42
minor_version : 0
compatible_brands: mp42mp41
creation_time : 2017-01-13T22:03:43.000000Z

Duration: 00:00:01.00, start: 0.000000, bitrate: 637 kb/s

Stream #0:0(eng), 1, 1/60000: Video: h264 (Main), 1 reference frame (avc1 / 0x31637661), yuv420p(tv, left), 1920x1080 (1920x1088) [SAR 1:1 DAR 16:9], 0/1, 583 kb/s, 59.94 fps, 59.94 tbr, 60k tbn, 119.88 tbc (default)
Metadata:

creation_time : 2017-01-13T22:03:43.000000Z
handler_name : ?Mainconcept Video Media Handler
encoder : AVC Coding

Successfully opened the file.
Parsing a group of options: output url foo-%03d.png.
Successfully parsed a group of options.
Opening an output file: foo-%03d.png.
Successfully opened the file.
detected 48 logical cores
[graph 0 input from stream 0:0 @ 0x65e020] Setting 'video_size' to value '1920x1080'
[graph 0 input from stream 0:0 @ 0x65e020] Setting 'pix_fmt' to value '0'
[graph 0 input from stream 0:0 @ 0x65e020] Setting 'time_base' to value '1/60000'
[graph 0 input from stream 0:0 @ 0x65e020] Setting 'pixel_aspect' to value '1/1'
[graph 0 input from stream 0:0 @ 0x65e020] Setting 'sws_param' to value 'flags=2'
[graph 0 input from stream 0:0 @ 0x65e020] Setting 'frame_rate' to value '60000/1001'
[graph 0 input from stream 0:0 @ 0x65e020] w:1920 h:1080 pixfmt:yuv420p tb:1/60000 fr:60000/1001 sar:1/1 sws_param:flags=2
[format @ 0x65e4a0] compat: called with args=[rgb24|rgba|rgb48be|rgba64be|pal8|gray|ya8|gray16be|ya16be|monob]
[format @ 0x65e4a0] Setting 'pix_fmts' to value 'rgb24|rgba|rgb48be|rgba64be|pal8|gray|ya8|gray16be|ya16be|monob'
[auto-inserted scaler 0 @ 0x660040] Setting 'flags' to value 'bicubic'
[auto-inserted scaler 0 @ 0x660040] w:iw h:ih flags:'bicubic' interl:0
[format @ 0x65e4a0] auto-inserting filter 'auto-inserted scaler 0' between the filter 'Parsed_null_0' and the filter 'format'
[AVFilterGraph @ 0x63dda0] query_formats: 4 queried, 2 merged, 1 already done, 0 delayed
[auto-inserted scaler 0 @ 0x660040] picking rgb24 out of 9 ref:yuv420p alpha:0
[auto-inserted scaler 0 @ 0x660040] w:1920 h:1080 fmt:yuv420p sar:1/1 -> w:1920 h:1080 fmt:rgb24 sar:1/1 flags:0x4
[h264 @ 0x1379740] nal_unit_type: 7, nal_ref_idc: 3
[h264 @ 0x1379740] nal_unit_type: 8, nal_ref_idc: 3
[image2 @ 0x63a7c0] Using AVStream.codec to pass codec parameters to muxers is deprecated, use AVStream.codecpar instead.
Output #0, image2, to 'foo-%03d.png':

Metadata:

major_brand : mp42
minor_version : 0
compatible_brands: mp42mp41
encoder : Lavf57.56.100
Stream #0:0(eng), 0, 1001/60000: Video: png, 1 reference frame, rgb24(left), 1920x1080 [SAR 1:1 DAR 16:9], 0/1, q=2-31, 200 kb/s, 59.94 fps, 59.94 tbn, 59.94 tbc (default)
Metadata:

creation_time : 2017-01-13T22:03:43.000000Z
handler_name : ?Mainconcept Video Media Handler
encoder : Lavc57.24.102 png

Stream mapping:

Stream #0:0 -> #0:0 (h264 (native) -> png (native))

Press [q] to stop, ? for help
cur_dts is invalid (this is harmless if it occurs once at the start per stream)

Last message repeated 1 times

[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 1, dts 0
[h264 @ 0x1379740] nal_unit_type: 5, nal_ref_idc: 3
[h264 @ 0x1379740] Reinit context to 1920x1088, pix_fmt: yuv420p
[h264 @ 0x1379740] no picture
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1388760] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 2, dts 16683
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x13d0180] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 3, dts 33367
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x13ebc40] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 4, dts 50050
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1407700] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 5, dts 66733
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1423220] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 6, dts 83417
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x143ee40] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 7, dts 100100
[h264 @ 0x145a9e0] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 8, dts 116783
[h264 @ 0x1476580] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 9, dts 133467
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x14920a0] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 10, dts 150150
[h264 @ 0x14adcc0] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 11, dts 166833
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x14c9860] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 12, dts 183517
[h264 @ 0x14e5400] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 13, dts 200200
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1500f20] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 14, dts 216883
[h264 @ 0x151cb40] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 15, dts 233567
[h264 @ 0x15386e0] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 16, dts 250250
[h264 @ 0x1379740] nal_unit_type: 1, nal_ref_idc: 0
Clipping frame in rate conversion by 0.000008
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 17, dts 266933
[h264 @ 0x1388760] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 18, dts 283617
[h264 @ 0x13d0180] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 19, dts 300300
[h264 @ 0x13ebc40] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 20, dts 316983
[h264 @ 0x1407700] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1cb6a20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x16f5380] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 21, dts 333667
[h264 @ 0x1423220] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 22, dts 350350
[h264 @ 0x143ee40] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 23, dts 367033
[h264 @ 0x145a9e0] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 24, dts 383717
[h264 @ 0x1476580] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 25, dts 400400
[h264 @ 0x14920a0] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x24c8e60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x663520] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 26, dts 417083
[file @ 0x1cb72a0] Setting default whitelist 'file,crypto'
[h264 @ 0x14adcc0] nal_unit_type: 1, nal_ref_idc: 0
[AVIOContext @ 0x662040] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 27, dts 433767
[h264 @ 0x14c9860] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2ad0d20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2577b40] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 28, dts 450450
[h264 @ 0x14e5400] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2577ec0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2272480] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 29, dts 467133ed=0.149x
[h264 @ 0x1500f20] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x2577da0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2272480] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 30, dts 483817
[h264 @ 0x151cb40] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1cb72e0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2577ba0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 31, dts 500500
[h264 @ 0x15386e0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3234f20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1cb7300] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 32, dts 517183
[h264 @ 0x1379740] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x29d5f40] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2272480] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 33, dts 533867
[h264 @ 0x1388760] nal_unit_type: 5, nal_ref_idc: 3
[file @ 0x2ad15e0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3234260] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 34, dts 550550
[h264 @ 0x13d0180] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x2577480] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3233de0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 35, dts 567233
[h264 @ 0x13ebc40] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x663200] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3235580] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 36, dts 583917
[h264 @ 0x1407700] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x663120] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x663220] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 37, dts 600600ed= 0.2x
[h264 @ 0x1423220] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x16afee0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3235580] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 38, dts 617283
[h264 @ 0x143ee40] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x3237320] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3234d00] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 39, dts 633967
[h264 @ 0x145a9e0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1b0eae0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d65b40] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 40, dts 650650
[h264 @ 0x1476580] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x32376a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d65b40] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 41, dts 667333
[h264 @ 0x14920a0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3238580] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d65b60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 42, dts 684017
[h264 @ 0x14adcc0] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x32373c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d65b60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 43, dts 700700
[h264 @ 0x14c9860] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1cb6fc0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d65b60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 44, dts 717383
[h264 @ 0x14e5400] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x29d63c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d65b60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 45, dts 734067
[h264 @ 0x1500f20] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1d65b60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24c9ea0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 46, dts 750750
[h264 @ 0x151cb40] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x24c8da0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d653a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 47, dts 767433ed=0.234x
[h264 @ 0x15386e0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x241a4a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d65b60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 48, dts 784117
[h264 @ 0x1379740] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1d65360] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1d65b60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 49, dts 800800
[h264 @ 0x1388760] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2b7f340] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2c2d240] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 50, dts 817483
[h264 @ 0x13d0180] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x1cb7320] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x29d61e0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 51, dts 834167
[h264 @ 0x13ebc40] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3234b20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1cb6e00] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 52, dts 850850
[h264 @ 0x1407700] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2a22380] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x24c9fe0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 53, dts 867533
[h264 @ 0x1423220] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2ad0cc0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1e13880] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 54, dts 884217
[h264 @ 0x143ee40] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x2577460] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3139fe0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 55, dts 900900
[h264 @ 0x145a9e0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x236d040] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x31863e0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 56, dts 917583
[h264 @ 0x1476580] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x236d240] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x236d060] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 57, dts 934267ed=0.252x
[h264 @ 0x14920a0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3234b60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x241a980] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 58, dts 950950
[h264 @ 0x14adcc0] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x3233e20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3236b60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x637e00] stream 0, sample 59, dts 967633
[h264 @ 0x14c9860] NALFF: Consumed only 1022 bytes instead of 1026
[h264 @ 0x14c9860] nal_unit_type: 1, nal_ref_idc: 0
[h264 @ 0x14c9860] nal_unit_type: 10, nal_ref_idc: 0
[file @ 0x323fca0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x323ff80] Statistics: 0 seeks, 1 writeouts
[file @ 0x241a720] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x241a840] Statistics: 0 seeks, 1 writeouts
[file @ 0x1c086a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x662de0] Statistics: 0 seeks, 1 writeouts
[file @ 0x6633c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x663240] Statistics: 0 seeks, 1 writeouts
[file @ 0x32354c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x6632a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x2ad14a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x323f7a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x21e1ce0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x662f00] Statistics: 0 seeks, 1 writeouts
[file @ 0x2b7f260] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3234460] Statistics: 0 seeks, 1 writeouts
[file @ 0x3234460] Setting default whitelist 'file,crypto'te=N/A speed=0.262x
[AVIOContext @ 0x2ad11a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x3236c80] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3236de0] Statistics: 0 seeks, 1 writeouts
[file @ 0x323f320] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3236ca0] Statistics: 0 seeks, 1 writeouts
[file @ 0x2ad0e00] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2cdb7e0] Statistics: 0 seeks, 1 writeouts
[file @ 0x323f3a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2cdb7e0] Statistics: 0 seeks, 1 writeouts
[file @ 0x323f620] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x32360e0] Statistics: 0 seeks, 1 writeouts
[file @ 0x3236820] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3240340] Statistics: 0 seeks, 1 writeouts
[output stream 0:0 @ 0x65e8e0] EOF on sink link output stream 0:0:default.
No more output streams to write to, finishing.
[file @ 0x3236640] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x32371c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x21e1d40] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1cb76e0] Statistics: 0 seeks, 1 writeouts
[file @ 0x2c2d340] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x32371c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x32383a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1cb76e0] Statistics: 0 seeks, 1 writeouts
[file @ 0x24c9c40] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x32371c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x3235280] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1cb76e0] Statistics: 0 seeks, 1 writeouts
[file @ 0x32383a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x32371c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x2c2d340] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x1cb76e0] Statistics: 0 seeks, 1 writeouts
frame= 58 fps= 16 q=-0.0 Lsize=N/A time=00:00:00.96 bitrate=N/A speed=0.273x
video:1554kB audio:0kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: unknown
Input file #0 (ziptest_1sec.mp4):

Input stream #0:0 (video): 60 packets read (73049 bytes); 58 frames decoded;
Total: 60 packets (73049 bytes) demuxed

Output file #0 (foo-%03d.png):

Output stream #0:0 (video): 58 frames encoded; 58 packets muxed (1591571 bytes);
Total: 58 packets (1591571 bytes) muxed

58 frames successfully decoded, 0 decoding errors
[AVIOContext @ 0x638680] Statistics: 116587 bytes read, 2 seeks

comment:7 in reply to: ↑ 6 Changed 13 months ago by cehoyos

  • Description modified (diff)

Replying to dmontz:

  libavutil      55. 17.103 / 55. 34.100
  libavcodec     57. 24.102 / 57. 64.101
  libavformat    57. 25.100 / 57. 56.100
  libavdevice    57.  0.101 / 57.  1.100
  libavfilter     6. 31.100 /  6. 65.100
  libswscale      4.  0.100 /  4.  2.100
  libswresample   2.  0.101 /  2.  3.100

You should really use make distclean before compilation.

comment:8 Changed 13 months ago by cehoyos

And remove --enable-shared, it is meant for distributors and can make testing difficult.

comment:9 Changed 13 months ago by dmontz

Sorry for the confusion. You are correct. I removed the enable-shared and built with static libs. Version v3.0.5 works correctly, but ca6cae73 still shows the issue:

ffmpeg started on 2017-01-18 at 11:23:19
Report written to "ffmpeg-20170118-112319.log"
ffmpeg version N-81705-gca6cae7 Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 4.9.2 (GCC)
configuration: --prefix=../install --enable-cross-compile --cross-prefix=/opt/omneon/cross_x86_64_v7e/bin/x86_64-linux- --arch=x86_64 --target-os=linux --extra-cflags=' -I../../../../libogg/libogg-1.3.2/obj.granite/install/include -I../../../../libvorbis/libvorbis-1.3.5/obj.granite/install/include -I../../../../libvpx/libvpx/obj.granite/install/include' --extra-ldflags=' -L../../../../libogg/libogg-1.3.2/obj.granite/install/lib -L../../../../libvorbis/libvorbis-1.3.5/obj.granite/install/lib -L../../../../libvpx/libvpx/obj.granite/install/lib' --disable-doc --extra-cflags='-m64 -ftree-vectorize -mssse3' --disable-ffplay --enable-ffprobe --enable-zlib --disable-ffserver --disable-network --enable-encoders --disable-hwaccels --disable-bsfs --disable-protocols --enable-protocol=file --disable-indevs --disable-outdevs --disable-gpl --enable-libvpx --enable-libvorbis --disable-decoder=vp8 --disable-decoder=vp9 --enable-pthreads
libavutil 55. 30.100 / 55. 30.100
libavcodec 57. 57.100 / 57. 57.100
libavformat 57. 50.100 / 57. 50.100
libavdevice 57. 0.102 / 57. 0.102
libavfilter 6. 62.100 / 6. 62.100
libswscale 4. 1.100 / 4. 1.100
libswresample 2. 1.100 / 2. 1.100

Splitting the commandline.
Reading option '-i' ... matched as input file with argument 'ziptest_1sec.mp4'.
Reading option 'foo-%03d.png' ... matched as output file.
Reading option '-report' ... matched as option 'report' (generate a report) with argument '1'.
Reading option '-v' ... matched as option 'v' (set logging level) with argument '9'.
Reading option '-loglevel' ... matched as option 'loglevel' (set logging level) with argument '99'.
Finished splitting the commandline.
Parsing a group of options: global .
Applying option report (generate a report) with argument 1.
Applying option v (set logging level) with argument 9.
Successfully parsed a group of options.
Parsing a group of options: input file ziptest_1sec.mp4.
Successfully parsed a group of options.
Opening an input file: ziptest_1sec.mp4.
[file @ 0x1b84760] Setting default whitelist 'file,crypto'
Probing mov,mp4,m4a,3gp,3g2,mj2 score:100 size:2048
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] Format mov,mp4,m4a,3gp,3g2,mj2 probed with size=2048 and score=100
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 70797466 'ftyp' parent:'root' sz: 24 8 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] ISO: File Type Major Brand: mp42
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 65657266 'free' parent:'root' sz: 1335 32 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 7461646d 'mdat' parent:'root' sz: 73057 1375 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 766f6f6d 'moov' parent:'root' sz: 1396 74432 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 6468766d 'mvhd' parent:'moov' sz: 108 8 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] time scale = 90000
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 6b617274 'trak' parent:'moov' sz: 1219 116 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 64686b74 'tkhd' parent:'trak' sz: 92 8 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 73746465 'edts' parent:'trak' sz: 36 100 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 74736c65 'elst' parent:'edts' sz: 28 8 28
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] track[0].edit_count = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] duration=90090 time=0 rate=1.000000
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 6169646d 'mdia' parent:'trak' sz: 1083 136 1211
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 6468646d 'mdhd' parent:'mdia' sz: 32 8 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 726c6468 'hdlr' parent:'mdia' sz: 64 40 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] ctype= (0x00000000)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stype= vide
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 666e696d 'minf' parent:'mdia' sz: 979 104 1075
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 64686d76 'vmhd' parent:'minf' sz: 20 8 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 726c6468 'hdlr' parent:'minf' sz: 64 28 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] ctype= (0x00000000)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stype= vide
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 666e6964 'dinf' parent:'minf' sz: 36 92 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 66657264 'dref' parent:'dinf' sz: 28 8 28
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type url size 12
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] Unknown dref type 0x08206c7275 size 12
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 6c627473 'stbl' parent:'minf' sz: 851 128 971
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 64737473 'stsd' parent:'stbl' sz: 151 8 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] size=135 4CC= avc1/0x31637661 codec_type=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 43637661 'avcC' parent:'stsd' sz: 49 8 49
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 73747473 'stts' parent:'stbl' sz: 24 159 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] track[0].stts.entries = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] sample_count=60, sample_duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 73737473 'stss' parent:'stbl' sz: 24 183 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] keyframe_count = 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 70746473 'sdtp' parent:'stbl' sz: 72 207 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 63737473 'stsc' parent:'stbl' sz: 28 279 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] track[0].stsc.entries = 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 7a737473 'stsz' parent:'stbl' sz: 260 307 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] sample_size = 0 sample_count = 60
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 6f637473 'stco' parent:'stbl' sz: 20 567 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 73747463 'ctts' parent:'stbl' sz: 264 587 843
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] track[0].ctts.entries = 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=1, duration=4004
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=3, duration=0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] count=2, duration=1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] dts shift 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 0, offset 55f, dts 0, size 5912, distance 0, keyframe 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 1, offset 1c77, dts 1001, size 1269, distance 1, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 2, offset 216c, dts 2002, size 458, distance 2, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 3, offset 2336, dts 3003, size 708, distance 3, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 4, offset 25fa, dts 4004, size 667, distance 4, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 5, offset 2895, dts 5005, size 1738, distance 5, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 6, offset 2f5f, dts 6006, size 756, distance 6, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 7, offset 3253, dts 7007, size 735, distance 7, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 8, offset 3532, dts 8008, size 724, distance 8, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 9, offset 3806, dts 9009, size 1915, distance 9, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 10, offset 3f81, dts 10010, size 795, distance 10, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 11, offset 429c, dts 11011, size 761, distance 11, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 12, offset 4595, dts 12012, size 633, distance 12, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 13, offset 480e, dts 13013, size 996, distance 13, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 14, offset 4bf2, dts 14014, size 590, distance 14, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 15, offset 4e40, dts 15015, size 785, distance 15, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 16, offset 5151, dts 16016, size 718, distance 16, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 17, offset 541f, dts 17017, size 1772, distance 17, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 18, offset 5b0b, dts 18018, size 739, distance 18, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 19, offset 5dee, dts 19019, size 713, distance 19, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 20, offset 60b7, dts 20020, size 715, distance 20, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 21, offset 6382, dts 21021, size 1097, distance 21, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 22, offset 67cb, dts 22022, size 489, distance 22, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 23, offset 69b4, dts 23023, size 934, distance 23, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 24, offset 6d5a, dts 24024, size 822, distance 24, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 25, offset 7090, dts 25025, size 1002, distance 25, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 26, offset 747a, dts 26026, size 757, distance 26, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 27, offset 776f, dts 27027, size 783, distance 27, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 28, offset 7a7e, dts 28028, size 733, distance 28, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 29, offset 7d5b, dts 29029, size 1980, distance 29, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 30, offset 8517, dts 30030, size 747, distance 30, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 31, offset 8802, dts 31031, size 774, distance 31, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 32, offset 8b08, dts 32032, size 742, distance 32, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 33, offset 8dee, dts 33033, size 8967, distance 0, keyframe 1
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 34, offset b0f5, dts 34034, size 1222, distance 1, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 35, offset b5bb, dts 35035, size 1091, distance 2, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 36, offset b9fe, dts 36036, size 859, distance 3, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 37, offset bd59, dts 37037, size 1098, distance 4, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 38, offset c1a3, dts 38038, size 2121, distance 5, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 39, offset c9ec, dts 39039, size 1358, distance 6, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 40, offset cf3a, dts 40040, size 1363, distance 7, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 41, offset d48d, dts 41041, size 1166, distance 8, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 42, offset d91b, dts 42042, size 1211, distance 9, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 43, offset ddd6, dts 43043, size 1131, distance 10, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 44, offset e241, dts 44044, size 901, distance 11, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 45, offset e5c6, dts 45045, size 982, distance 12, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 46, offset e99c, dts 46046, size 1393, distance 13, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 47, offset ef0d, dts 47047, size 908, distance 14, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 48, offset f299, dts 48048, size 884, distance 15, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 49, offset f60d, dts 49049, size 969, distance 16, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 50, offset f9d6, dts 50050, size 2160, distance 17, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 51, offset 10246, dts 51051, size 845, distance 18, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 52, offset 10593, dts 52052, size 847, distance 19, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 53, offset 108e2, dts 53053, size 1087, distance 20, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 54, offset 10d21, dts 54054, size 1044, distance 21, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 55, offset 11135, dts 55055, size 1149, distance 22, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 56, offset 115b2, dts 56056, size 861, distance 23, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 57, offset 1190f, dts 57057, size 1094, distance 24, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 58, offset 11d55, dts 58058, size 349, distance 25, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] AVIndex stream 0, sample 59, offset 11eb2, dts 59059, size 1030, distance 26, keyframe 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] Offset DTS by ctts[0].duration: 1001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] Processing st: 0, edit list 0 - media time: 0, duration: 60060
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 0 @ 0, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 1001 @ 1, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 2002 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 3003 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 4004 @ 2, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 5005 @ 3, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 6006 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 7007 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 8008 @ 4, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 9009 @ 5, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 10010 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 11011 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 12012 @ 6, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 13013 @ 7, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 14014 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 15015 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 16016 @ 8, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 17017 @ 9, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 18018 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 19019 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 20020 @ 10, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 21021 @ 11, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 22022 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 23023 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 24024 @ 12, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 25025 @ 13, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 26026 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 27027 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 28028 @ 14, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 29029 @ 15, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 30030 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 31031 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 32032 @ 16, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 33033 @ 17, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 34034 @ 18, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 35035 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 36036 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 37037 @ 19, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 38038 @ 20, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 39039 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 40040 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 41041 @ 21, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 42042 @ 22, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 43043 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 44044 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 45045 @ 23, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 46046 @ 24, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 47047 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 48048 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 49049 @ 25, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 50050 @ 26, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 51051 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 52052 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 53053 @ 27, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 54054 @ 28, ctts: 4004, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 55055 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 56056 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 57057 @ 29, ctts: 0, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 58058 @ 30, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] shifted frame pts, curr_cts: 59059 @ 30, ctts: 1001, ctts_count: 31
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] drop a frame at curr_cts: 60060 @ 59
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 61746475 'udta' parent:'moov' sz: 61 1335 1388
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 4d4954a9 '▒TIM' parent:'udta' sz: 23 8 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 435354a9 '▒TSC' parent:'udta' sz: 16 31 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 5a5354a9 '▒TSZ' parent:'udta' sz: 14 47 53
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] type: 64697575 'uuid' parent:'root' sz: 3989 75828 79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] on_parse_exit_offset=79809
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] Before avformat_find_stream_info() pos: 79809 bytes read:38153 seeks:1 nb_streams:1
[h264 @ 0x1b857c0] nal_unit_type: 7, nal_ref_idc: 3
[h264 @ 0x1b857c0] nal_unit_type: 8, nal_ref_idc: 3
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 0, dts -16683
[h264 @ 0x1b857c0] nal_unit_type: 5, nal_ref_idc: 3
[h264 @ 0x1b857c0] Reinit context to 1920x1088, pix_fmt: yuv420p
[h264 @ 0x1b857c0] no picture
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] All info found
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0: start_time: 0.000 duration: 1.001
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] format: start_time: 0.000 duration: 1.001 bitrate=637 kb/s
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] After avformat_find_stream_info() pos: 7287 bytes read:70921 seeks:2 frames:1
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'ziptest_1sec.mp4':

Metadata:

major_brand : mp42
minor_version : 0
compatible_brands: mp42mp41
creation_time : 2017-01-13T22:03:43.000000Z

Duration: 00:00:01.00, start: 0.000000, bitrate: 637 kb/s

Stream #0:0(eng), 1, 1/60000: Video: h264 (Main), 1 reference frame (avc1 / 0x31637661), yuv420p(tv, left), 1920x1080 (1920x1088) [SAR 1:1 DAR 16:9], 0/1, 583 kb/s, 59.94 fps, 59.94 tbr, 60k tbn, 119.88 tbc (default)
Metadata:

creation_time : 2017-01-13T22:03:43.000000Z
handler_name : ?Mainconcept Video Media Handler
encoder : AVC Coding

Successfully opened the file.
Parsing a group of options: output file foo-%03d.png.
Successfully parsed a group of options.
Opening an output file: foo-%03d.png.
Successfully opened the file.
detected 48 logical cores
[graph 0 input from stream 0:0 @ 0x1ba9fc0] Setting 'video_size' to value '1920x1080'
[graph 0 input from stream 0:0 @ 0x1ba9fc0] Setting 'pix_fmt' to value '0'
[graph 0 input from stream 0:0 @ 0x1ba9fc0] Setting 'time_base' to value '1/60000'
[graph 0 input from stream 0:0 @ 0x1ba9fc0] Setting 'pixel_aspect' to value '1/1'
[graph 0 input from stream 0:0 @ 0x1ba9fc0] Setting 'sws_param' to value 'flags=2'
[graph 0 input from stream 0:0 @ 0x1ba9fc0] Setting 'frame_rate' to value '60000/1001'
[graph 0 input from stream 0:0 @ 0x1ba9fc0] w:1920 h:1080 pixfmt:yuv420p tb:1/60000 fr:60000/1001 sar:1/1 sws_param:flags=2
[format @ 0x1baa2c0] compat: called with args=[rgb24|rgba|rgb48be|rgba64be|pal8|gray|ya8|gray16be|ya16be|monob]
[format @ 0x1baa2c0] Setting 'pix_fmts' to value 'rgb24|rgba|rgb48be|rgba64be|pal8|gray|ya8|gray16be|ya16be|monob'
[auto-inserted scaler 0 @ 0x1babf80] Setting 'flags' to value 'bicubic'
[auto-inserted scaler 0 @ 0x1babf80] w:iw h:ih flags:'bicubic' interl:0
[format @ 0x1baa2c0] auto-inserting filter 'auto-inserted scaler 0' between the filter 'Parsed_null_0' and the filter 'format'
[AVFilterGraph @ 0x1ba2660] query_formats: 4 queried, 2 merged, 1 already done, 0 delayed
[auto-inserted scaler 0 @ 0x1babf80] picking rgb24 out of 9 ref:yuv420p alpha:0
[auto-inserted scaler 0 @ 0x1babf80] w:1920 h:1080 fmt:yuv420p sar:1/1 -> w:1920 h:1080 fmt:rgb24 sar:1/1 flags:0x4
[h264 @ 0x1bd6300] nal_unit_type: 7, nal_ref_idc: 3
[h264 @ 0x1bd6300] nal_unit_type: 8, nal_ref_idc: 3
[image2 @ 0x1b86820] Using AVStream.codec to pass codec parameters to muxers is deprecated, use AVStream.codecpar instead.
Output #0, image2, to 'foo-%03d.png':

Metadata:

major_brand : mp42
minor_version : 0
compatible_brands: mp42mp41
encoder : Lavf57.50.100
Stream #0:0(eng), 0, 1001/60000: Video: png, 1 reference frame, rgb24(left), 1920x1080 [SAR 1:1 DAR 16:9], 0/1, q=2-31, 200 kb/s, 59.94 fps, 59.94 tbn, 59.94 tbc (default)
Metadata:

creation_time : 2017-01-13T22:03:43.000000Z
handler_name : ?Mainconcept Video Media Handler
encoder : Lavc57.57.100 png

Stream mapping:

Stream #0:0 -> #0:0 (h264 (native) -> png (native))

Press [q] to stop, ? for help
cur_dts is invalid (this is harmless if it occurs once at the start per stream)

Last message repeated 1 times

[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 1, dts 0
[h264 @ 0x1bd6300] nal_unit_type: 5, nal_ref_idc: 3
[h264 @ 0x1bd6300] Reinit context to 1920x1088, pix_fmt: yuv420p
[h264 @ 0x1bd6300] no picture
[h264 @ 0x1bc7700] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 2, dts 16683
[h264 @ 0x1c29e80] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 3, dts 33367
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1c45940] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 4, dts 50050
[h264 @ 0x1c61400] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 5, dts 66733
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1c7cec0] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 6, dts 83417
[h264 @ 0x1c98900] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 7, dts 100100
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1cb4440] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 8, dts 116783
[h264 @ 0x1ccff00] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 9, dts 133467
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1ceb9c0] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 10, dts 150150
[h264 @ 0x1d074e0] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 11, dts 166833
[h264 @ 0x1d23100] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 12, dts 183517
[h264 @ 0x1d3eca0] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 13, dts 200200
[h264 @ 0x1d5a840] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 14, dts 216883
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[h264 @ 0x1d76360] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 15, dts 233567
[h264 @ 0x1d91f80] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 16, dts 250250
[h264 @ 0x1bd6300] nal_unit_type: 1, nal_ref_idc: 0
Clipping frame in rate conversion by 0.000008
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 17, dts 266933
[h264 @ 0x1bc7700] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 18, dts 283617
[h264 @ 0x1c29e80] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 19, dts 300300
[h264 @ 0x1c45940] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 20, dts 316983
[h264 @ 0x1c61400] nal_unit_type: 1, nal_ref_idc: 0
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 21, dts 333667
[h264 @ 0x1c7cec0] nal_unit_type: 1, nal_ref_idc: 2
cur_dts is invalid (this is harmless if it occurs once at the start per stream)
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 22, dts 350350
[h264 @ 0x1c98900] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x335e820] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4782de0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 23, dts 367033
[h264 @ 0x1cb4440] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 24, dts 383717
[h264 @ 0x1ccff00] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 25, dts 400400
[h264 @ 0x1ceb9c0] nal_unit_type: 1, nal_ref_idc: 2
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 26, dts 417083
[h264 @ 0x1d074e0] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 27, dts 433767
[h264 @ 0x1d23100] nal_unit_type: 1, nal_ref_idc: 0
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 28, dts 450450
[h264 @ 0x1d3eca0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3eb55c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4782d80] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 29, dts 467133
[h264 @ 0x1d5a840] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x40ca260] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3b716a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 30, dts 483817d=0.0861x
[h264 @ 0x1d76360] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x4178ee0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2ca9ac0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 31, dts 500500
[h264 @ 0x1d91f80] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3965860] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2ca9ae0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 32, dts 517183
[h264 @ 0x1bd6300] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3b71720] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2ca9ae0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 33, dts 533867
[h264 @ 0x1bc7700] nal_unit_type: 5, nal_ref_idc: 3
[file @ 0x42d54c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2ca9ae0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 34, dts 550550
[h264 @ 0x1c29e80] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x42d5340] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x42d54e0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 35, dts 567233
[h264 @ 0x1c45940] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x340ce80] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4781b20] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 36, dts 583917
[h264 @ 0x1c61400] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x47822a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x47810a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 37, dts 600600
[h264 @ 0x1c7cec0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x4783200] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4781b20] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 38, dts 617283d=0.163x
[h264 @ 0x1c98900] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x4780660] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2aa05c0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 39, dts 633967
[h264 @ 0x1cb4440] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x31081e0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4785e40] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 40, dts 650650
[h264 @ 0x1ccff00] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x2056240] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4785e40] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 41, dts 667333
[h264 @ 0x1ceb9c0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x4226d20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4227740] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 42, dts 684017
[h264 @ 0x1d074e0] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x4179400] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4227740] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 43, dts 700700
[h264 @ 0x1d23100] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x4179400] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3ac2e20] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 44, dts 717383
[h264 @ 0x1d3eca0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x335e900] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3ac2e20] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 45, dts 734067
[h264 @ 0x1d5a840] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3a15600] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3965a00] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 46, dts 750750d=0.189x
[h264 @ 0x1d76360] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x3a14240] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4178560] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 47, dts 767433
[h264 @ 0x1d91f80] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x335eaa0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3a151a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 48, dts 784117
[h264 @ 0x1bd6300] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x4179380] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x41783c0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 49, dts 800800
[h264 @ 0x1bc7700] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x335ea00] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2ca93c0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 50, dts 817483
[h264 @ 0x1c29e80] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x40ca380] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3a151a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 51, dts 834167
[h264 @ 0x1c45940] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x4782ae0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4780ce0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 52, dts 850850
[h264 @ 0x1c61400] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3b716a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x47801a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 53, dts 867533
[h264 @ 0x1c7cec0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x40ca240] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3a151a0] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 54, dts 884217d=0.202x
[h264 @ 0x1c98900] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x40ca300] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4733c20] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 55, dts 900900
[h264 @ 0x1cb4440] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x3202200] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2b4de60] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 56, dts 917583
[h264 @ 0x1ccff00] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x1baf4c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4782d00] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 57, dts 934267
[h264 @ 0x1ceb9c0] nal_unit_type: 1, nal_ref_idc: 0
[file @ 0x4781240] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4782d00] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 58, dts 950950
[h264 @ 0x1d074e0] nal_unit_type: 1, nal_ref_idc: 2
[file @ 0x4786e60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x42d5340] Statistics: 0 seeks, 1 writeouts
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1b83e00] stream 0, sample 59, dts 967633
[h264 @ 0x1d23100] NALFF: Consumed only 1022 bytes instead of 1026
[h264 @ 0x1d23100] nal_unit_type: 1, nal_ref_idc: 0
[h264 @ 0x1d23100] nal_unit_type: 10, nal_ref_idc: 0
[file @ 0x1baea60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4782d00] Statistics: 0 seeks, 1 writeouts
[file @ 0x1baf560] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x2b4dec0] Statistics: 0 seeks, 1 writeouts
[file @ 0x4781440] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x340cd40] Statistics: 0 seeks, 1 writeouts
[file @ 0x32022c0] Setting default whitelist 'file,crypto'te=N/A speed=0.214x
[AVIOContext @ 0x4733b80] Statistics: 0 seeks, 1 writeouts
[file @ 0x2aa0380] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3fd00c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x4787000] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x39659a0] Statistics: 0 seeks, 1 writeouts
[file @ 0x4179140] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3fd00c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x4178f20] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x3ac3740] Statistics: 0 seeks, 1 writeouts
[file @ 0x4780820] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x40c9980] Statistics: 0 seeks, 1 writeouts
[file @ 0x4781b40] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x478e500] Statistics: 0 seeks, 1 writeouts
[file @ 0x335f4a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x478e520] Statistics: 0 seeks, 1 writeouts
[file @ 0x4781cc0] Setting default whitelist 'file,crypto'te=N/A speed=0.219x
[AVIOContext @ 0x4780700] Statistics: 0 seeks, 1 writeouts
[file @ 0x47876a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x4178b00] Statistics: 0 seeks, 1 writeouts
[file @ 0x4780d80] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x477ffa0] Statistics: 0 seeks, 1 writeouts
[file @ 0x335f0a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x47872c0] Statistics: 0 seeks, 1 writeouts
[output stream 0:0 @ 0x1baa840] EOF on sink link output stream 0:0:default.
No more output streams to write to, finishing.
[file @ 0x47835a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x335ef60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x472b6c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x3080100] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x4787420] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x3080120] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x472b6c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x335ef60] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x32b13a0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x472b6c0] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
[file @ 0x27ff260] Setting default whitelist 'file,crypto'
[AVIOContext @ 0x335f0c0] Statistics: 0 seeks, 1 writeouts
frame= 58 fps= 14 q=-0.0 Lsize=N/A time=00:00:00.96 bitrate=N/A speed=0.228x
video:1554kB audio:0kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: unknown
Input file #0 (ziptest_1sec.mp4):

Input stream #0:0 (video): 60 packets read (73049 bytes); 58 frames decoded;
Total: 60 packets (73049 bytes) demuxed

Output file #0 (foo-%03d.png):

Output stream #0:0 (video): 58 frames encoded; 58 packets muxed (1591571 bytes);
Total: 58 packets (1591571 bytes) muxed

58 frames successfully decoded, 0 decoding errors
[AVIOContext @ 0x1b845c0] Statistics: 116587 bytes read, 2 seeks

comment:10 Changed 13 months ago by dmontz

What are the next steps with this defect?

comment:11 Changed 13 months ago by cehoyos

Somebody with knowledge about mov edit lists (Sasi Inguva) has to check if the output of current FFmpeg is correct or if there really is a bug.

comment:12 follow-up: Changed 12 months ago by isasi

The video has edit list which makes it discard the last frame
elst:
segment_duration, media_time
90090, 0

90090 when converted to stream timescale becomes 60060 . The last sample starts with the timestamp of 60060 . If played through Quicktime 10.4 we can see that the player only plays till last but one frame. If we export the video using Quicktime we only get 59 frames. So ideally we should get 59 frames.

If we do ffprobe -show_frames we do, actually get 59 frames. But somehow while converting to png one frame is discarded.

comment:13 in reply to: ↑ 12 Changed 12 months ago by cehoyos

Replying to isasi:

If we do ffprobe -show_frames we do, actually get 59 frames. But somehow while converting to png one frame is discarded.

Afaict, the ffmpeg executable does not see 59 frames (but 58).

comment:14 Changed 11 months ago by dmontz

Thanks for looking at this. I have downloaded v3.2.4 and am still seeing the same issue. If it helps with the debugging, I am attaching another mp4 file that we use for testing. It's simply a white scrolling bar with 42 frames. When using 0.10.3, I can extract 42 frames. When using v3.2.4, I only get 41 frames. The first 41 frames are identical between the two. I am just not getting the 42nd frame out of the v3.2.4 code.

Using 0.10.3:
../ffmpeg-0.10.3/ffmpeg -i example.mp4 0.10.3/image%04d.png

Using 3.2.4:
../ffmpeg-3.2.4/ffmpeg -i example.mp4 3.2.4/image%04d.png

I need to get this resolved so that our customer assets will work without re-encoding.

Thanks for the help!
Dan

Changed 11 months ago by dmontz

Example MP4 file

comment:15 Changed 7 months ago by dmontz

Hi,

This is a still an issue with v3.3.3 as well. I will attach another example. This example was generated using Adobe Media Encoder CS6 (old, but ok). My source is a 60 frame PNG sequence.

I used the following parameters to encode:
H.264 (Legacy)
1920x1080 @ 29.97
Profile: Main
Level: 4.1
Bitrate encoding: VBR, 1 Pass
Target Bitrate (Mbps): 32
Maximum Bitrate (Mbps): 40
Advanced Setting: Set Key Frame Distance is unchecked.

Changed 7 months ago by dmontz

comment:16 Changed 4 weeks ago by cehoyos

  • Resolution set to fixed
  • Status changed from new to closed

Fixed by Muhammad Faiz in 9b4648a2cdeb31bf15eb8e238d34b51fe7ff0b87, was not reproducible with -threads 1.

Note: See TracTickets for help on using tickets.